<?php

/*
 * 배너관리 플러그인
 */
if (!defined('_GNUBOARD_')) {
    exit;
}

function plugin_banner($tag) {
    global $g5;
    $banner_url = G5_DATA_URL . "/asktheme_attach";

    $cfg = get_plugin_config('banner'); //플러그인 환경설정
    //플러그인 미설정 중지
    if (!$cfg) {
        return false;
    }
    //플러그인 미사용 중지
    if ($cfg['pc_use'] == 0) {
        return false;
    }
    //배너 가져오기.
    $sql = "select * from ask_plugin_banner where ab_tag = '{$tag}' and ab_status = '1'";
    $result = sql_query($sql);
    for ($i = 0; $rows = sql_fetch_array($result); $i++) {
         $banner[] = $rows;
    }
    if(count($banner) > 0 ){
        //배열 섞기 
        shuffle($banner);
    }else{
        return false;
    }

    $banner['0']['ab_subject'] = strip_tags($banner['0']['ab_subject']);
    if ($banner['0']['ab_type'] == 'text') {
        //텍스트 배너
        $return = "";
        $return .= "<div class='ask_banner_{$banner['0']['ab_type']}'>";
        $return .= "<a href='{$banner['0']['ab_link']}' target='_blank' class='ask_banner_text_link'>{$banner['0']['ab_subject']}</a>";
        $return .= "</div>";
    }
    if ($banner['0']['ab_type'] == 'image') {
        //이미지 배너
        $return = "";
        $return .= "<div class='ask_banner_{$banner['0']['ab_type']}'>";
        $return .= "<a href='{$banner['0']['ab_link']}' target='_blank' class='ask_banner_image_link'><img src='{$banner_url}/{$banner['0']['ab_banner']}'/></a>";
        $return .= "</div>";
    }
    if ($banner['0']['ab_type'] == 'html') {
        //HTML 배너
        $return = "";
        $return .= "<div class='ask_banner_{$banner['0']['ab_type']}'>";
        $return .= $banner['0']['ab_html'];
        $return .= "</div>";
    }

    add_stylesheet('<link rel="stylesheet" href="' . G5_PLUGIN_URL . '/asktheme/plugin/banner/banner.css">', 10);
    echo $return;
}

function plugin_banner_view($tag) {
    
}
